Уязвимость BDU:2021-01390

Дата: 04.12.2017. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2021-01390.

Наименование уязвимости: Уязвимость функции utils.c:checkmailpath командной оболочки UNIX Zsh, связанная с выходом операции за допустимые границы буфера данных, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции utils.c:checkmailpath командной оболочки UNIX Zsh связана с выходом операции за допустимые границы буфера данных. Эксплуатация уязвимости может позволить нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система ООО «РусБИТех-Астра» Astra Linux Common Edition 2.12 «Орёл» | Операционная система Debian GNU/Linux 10.0 | Операционная система Canonical Ltd. Ubuntu 14.04 ESM | Прикладное ПО информационных систем Peter Stephenson Zsh до 5.4.2 включительно |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS 32-bit | Ubuntu 1804 LTS | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Astra Linux Common Edition 212 «Орёл» | Debian GNU/Linux 100 | Ubuntu 1404 ESM |
Дата выявления: 04.12.2017.
CVSS 2.0: AV:L/AC:L/Au:S/C:C/I:C/A:C
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,8)

Возможные меры по устранению:
Использование рекомендаций:
Для Zsh:
Обновление программного обеспечения до 5.8-5 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета zsh) до 5.3.1-4+deb9u4 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета zsh) до 5.3.1-4+deb9u4 или более поздней версии

Для Ubuntu:
https://ubuntu.com/security/notices/USN-3764-1
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-1100.

Тип ошибки CWE: CWE-787
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://nvd.nist.gov/vuln/detail/CVE-2018-1100
https://security.gentoo.org/glsa/201805-10
https://security-tracker.debian.org/tracker/CVE-2018-1100
https://sourceforge.net/p/zsh/code/ci/31f72205630687c1cef89347863aab355296a27f/
https://ubuntu.com/security/notices/USN-3764-1

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.